{
##############################
###  SEGMENT

#  boundary
   printf "%10.0f %10.0f ", 1e7 * $65, 1e7 * $66

#  pp.name
    printf "%s",  ($63 == "0") ? "xx" : ($63  == "#") && ($72 != "0") && ($74 != "0") ? "pau" : $63
#  p.name
    printf "~%s", ($1  == "0") ? "xx" : ($1  == "#") && ($73 != "0") && ($75 != "0") ? "pau" : $1
#  c.name
    printf "-%s", ($2  == "#") && ($74 != "0") && ($76 != "0") ? "pau" : $2
#  n.name
    printf "+%s", ($3  == "0") ? "xx" : ($3  == "#") && ($75 != "0") && ($77 != "0") ? "pau" : $3
#  nn.name
    printf "=%s", ($64 == "0") ? "xx" : ($64  == "#") && ($76 != "0") && ($78 != "0") ? "pau" : $64

#  position in syllable (segment)
    printf ":"
    printf "%s",  ($2 == "#") ? "xx" : $4 + 1
    printf "_%s", ($2 == "#") ? "xx" : $12 - $4

##############################
###  SYLLABLE

## previous syllable

#  p.stress
    printf "/A/%s", ($2 == "#") ? $49 : $5
#  p.accent
    printf "_%s", ($2 == "#") ? $51 : $8
#  p.length
    printf "_%s", ($2 == "#") ? $53 : $11

## current syllable

#  c.stress
    printf "/B/%s", ($2 == "#") ? "xx" : $6
#  c.accent
    printf "-%s", ($2 == "#") ? "xx" : $9
#  c.length
    printf "-%s", ($2 == "#") ? "xx" : $12

#  position in word (syllable)
    printf ":%s", ($2 == "#") ? "xx" : $14 + 1
    printf "-%s", ($2 == "#") ? "xx" : $30 - $14

#  position in phrase (syllable)
    printf "&%s", ($2 == "#") ? "xx" : $15 + 1
    printf "-%s", ($2 == "#") ? "xx" : $16 + 1

#  position in phrase (stressed syllable)
    printf "#%s", ($2 == "#") ? "xx" : $17 + 1
    printf "-%s", ($2 == "#") ? "xx" : $18 + 1

#  position in phrase (accented syllable)
    printf  "$"
    printf "%s", ($2 == "#") ? "xx" : $19 + 1
    printf "-%s", ($2 == "#") ? "xx" : $20 + 1

#  distance from stressed syllable
    printf ">%s", ($2 == "#") ? "xx" : $21
    printf "-%s", ($2 == "#") ? "xx" : $22

#  distance from accented syllable 
    printf "<%s", ($2 == "#") ? "xx" : $23
    printf "-%s", ($2 == "#") ? "xx" : $24

#  name of the vowel of current syllable
    printf "|%s", ($2 == "#") ? "xx" : $25

## next syllable

#  n.stress
    printf "/C/%s", ($2 == "#") ? $50 : $7
#  n.accent
    printf "+%s", ($2 == "#") ? $52 : $10
#  n.length
    printf "+%s", ($2 == "#") ? $54 : $13

##############################
#  WORD

##################
## previous word

#  p.gpos
    printf "/D/%s", ($2 == "#") ? $55 : $26
#  p.lenght (syllable)
    printf "_%s", ($2 == "#") ? $57 : $29

#################
## current word

#  c.gpos
    printf "/E/%s", ($2 == "#") ? "xx" : $27
#  c.lenght (syllable)
    printf "+%s", ($2 == "#") ? "xx" : $30

#  position in phrase (word)
    printf ":%s", ($2 == "#") ? "xx" : $32 + 1
    printf "+%s", ($2 == "#") ? "xx" : $33

#  position in phrase (content word)
    printf "&%s", ($2 == "#") ? "xx" : $34 + 1
    printf "+%s", ($2 == "#") ? "xx" : $35

#  distance from content word in phrase
    printf "#%s", ($2 == "#") ? "xx" : $36
    printf "+%s", ($2 == "#") ? "xx" : $37

##############
## next word

#  n.gpos
    printf "/F/%s", ($2 == "#") ? $56 : $28
#  n.lenghte (syllable)
    printf "_%s", ($2 == "#") ? $58 : $31

##############################
#  PHRASE

####################
## previous phrase

#  length of previous phrase (syllable)
    printf "/G/%s", ($2 == "#") ? $59 : $38

#  length of previous phrase (word)
    printf "_%s"  , ($2 == "#") ? $61 : $41

####################
## current phrase

#  length of current phrase (syllable)
    printf "/H/%s", ($2 == "#") ? "xx" : $39

#  length of current phrase (word)
    printf "=%s",   ($2 == "#") ? "xx" : $42

#  position in major phrase (phrase)
    printf ":";
    printf "%s", $44 + 1
    printf "=%s", $48 - $44

#  type of tobi endtone of current phrase
    printf "&%s",  $45

####################
## next phrase

#  length of next phrase (syllable)
    printf "/I/%s", ($2 == "#") ? $60 : $40

#  length of next phrase (word)
    printf "_%s",   ($2 == "#") ? $62 : $43

##############################
#  UTTERANCE

#  length (syllable)
    printf "/J/%s", $46

#  length (word)
    printf "+%s", $47

#  length (phrase)
    printf "-%s", $48

    printf "\n"
}
