#!/bin/bash

# change this as appropriate
QUESTIONFILE=data/resources/questions_dnn_unilex-rpx_quinphone.hed

# write the quinphone questions that depend on the phoneset
for F in `cat alignment/phone_list `; do echo QS \"LL-${F}\" \{${F}\~\};   done >  $QUESTIONFILE
for F in `cat alignment/phone_list `; do echo QS \"L-${F}\" \{\~${F}\-\};  done >> $QUESTIONFILE
for F in `cat alignment/phone_list `; do echo QS \"C-${F}\" \{\-${F}\+\};  done >> $QUESTIONFILE
for F in `cat alignment/phone_list `; do echo QS \"R-${F}\" \{\+${F}\=\};  done >> $QUESTIONFILE
for F in `cat alignment/phone_list `; do echo QS \"RR-${F}\" \{\=${F}\:\}; done >> $QUESTIONFILE

# append the suprasegmental questions, that do not depend on phoneset
cat data/resources/questions_dnn_without_quinphones.hed >> $QUESTIONFILE


echo Created $QUESTIONFILE with `cat $QUESTIONFILE | wc -l` questions
